Last updated: September 23, 2026

Remove Users from Group

Removes one or more users from a group. Set query parameter action to deassign and pass user GUIDs in the userList body field.

Request

POSThttps://superadminuser.miniorange.in/services/api/directory/v1/admin/groups/:guid/users

Authentication headers (required on every request)

Customer-Key
Super Admin ID for the actor account.
Timestamp
Milliseconds since epoch (e.g. Date.now()).
Authorization
SHA-512 of superAdminId + timestamp + apiKey.
X-Target-Customer-Id
Customer tenant the Super Admin is acting on.

Parameters

NameTypeRequiredDescription
actionStringOptionalUse 'assign' to add users, 'deassign' to remove users
guidStringRequiredPath parameter
userListStringOptional

Request body

{
    "userList": [
        "<user-guid>"
    ]
}

Response

{
    "status": "SUCCESS",
    "message": "User(s) removed from group successfully."
}
Copied